#include <stdio.h>
#include <QtCore>
#include <QtDBus>

int main(int argc, char **argv)
{
	QCoreApplication app(argc, argv);
	QDBusConnection connection = QDBusConnection::connectToBus(QDBusConnection::SessionBus, "example.sendlines");
	if (connection.isConnected())
		printf("Соединение установлено\n");
	while(true) {
		QString string = "";
		int ch;
		while ((ch = getchar()) != '\n')
			string += ch;
		QDBusMessage msg = QDBusMessage::createMethodCall("DBus.Manager.QClipboard", "/QClipboard", "DBus.Manager.QClipboard", "setContent");
		QList<QVariant> args;
		args.append(QVariant(string));
		msg.setArguments(args);
		connection.send(msg);
		QCoreApplication::processEvents();
	}
 }
