#include <QtDebug>
#include <QtCore>
#include <QtDBus>

int main(int argc, char **argv)
{
	QCoreApplication app(argc, argv);
	QDBusInterface clipboard("DBus.Manager.QClipboard", "/QClipboard", "DBus.Manager.QClipboard");
	int ch = 0;
	while ((ch = getchar()) != 'q')	{
		if (ch == 'c')	
			clipboard.call("setContent", "Data sent from console");
		if (ch == 'p') {
			QDBusReply<QString> reply = clipboard.call("content");
			qDebug() << reply.value();
		}
		QCoreApplication::processEvents();
	}
 }
