#include  <stdio.h>
#include  <dbus/dbus.h>
int main (int argc, char **argv)
{
DBusConnection * connection;
DBusError error;
DBusMessage *call;
char * text = "Этот текст будет передан в буфер обмена X-Window";
dbus_error_init(&error);
connection = dbus_bus_get(DBUS_BUS_SESSION, &error);
if (!connection) {
printf("Не могу установить соединение\n", error.message);
dbus_error_free(&error);
return 1;
}
call = dbus_message_new_method_call("DBus.Manager.QClipboard", "/QClipboard", "DBus.Manager.QClipboard", "setContent");
dbus_message_append_args (call, DBUS_TYPE_STRING, &text, DBUS_TYPE_INVALID);
if (!dbus_connection_send(connection, call, NULL)) {
	printf("Не могу отправить сообщение\n");
}
dbus_connection_flush(connection);
printf("%s\n", text);
dbus_message_unref(call);
dbus_connection_unref(connection);
return 0;
}
